ClearData = 1 # Removes existing plots from data folder.
#Distribution =Stripes
Distribution = RCB

PrintMeshOnly =0;
Model = Monodomain;

#ElphyModel = Diffusion
#ElphyModel = Splitting
#ElphySplittingMethod =Godunov
#ElphyModel = ImplictEuler
#ElphyModel = SemiImplicit
ElphyModel = SemiImplicitOnCells
ElphyModel = SemiImplicitNodes
ElphyModel = LinearImplicit
#ElphyModel = LinearImplicitNodes
#ElphyModel = LinearImplicitQuadrature
OrderStaggeredScheme=wcV
ReassembleRHSonce=1

#ElphySplittingMethod =Godunov  #Strang, Stein,Godunov


ElphyProblem = ElphyBenchmarkNiederer



ElphyModelClass = MElphyModel
CellModelScheme = ExponentialIntegrator

ElphyModelName=BeelerReuter
IonScheme = ExplicitEuler
ThresholdVForActivation=-40.0

#ElphyModelName = TenTusscher
IonScheme = Quadratic
ThresholdVForActivation=0.0

#Iext splitted in PDE =1, Iext in ODE =0
IextInPDE=1

#Glaettung von Anregung  in Zeit: Stepfunction,Arctan,Tanh
ExternalCurrentSmoothingInTime = Arctan;
#Glättung Anregung im Raum: discrete, linear
ExternalCurrentSmoothingInSpace =linear;



######################
#       Meshes       #
######################
#Mesh = TestBiventricle
#Mesh=NiedererBM05_3DQuad
ElphyPolynomialDegree = 1
#HexaQuadExactupTo =6

StartTime = 0.0
EndTime=0.0002
EndTime = 0.008
EndTime = 0.4

DeltaTime = 0.0001

DeltaTimeMin = 0.00001
DeltaTimeMax = 0.001

######################
#  Elphy Parameters  #
#####################
ElphyLevel = 0
ElphySubsteps = 1

ElphyMeshPart = ventriclesonly;



# Monodomain Parameters
SurfaceToVolumeRatio= 140;#1/mm
MembraneCapacitance=0.01;#muF/mm^2

#IntraLongitudinal = 0.0;
#IntraTransversal = 0.0;
IntraLongitudinal = 0.170;
ExtraLongitudinal = 0.620;
IntraTransversal = 0.019;
ExtraTransversal = 0.240;

CrankNicolsonTheta = 0.5

# Gerade nicht implementiert:
#can be set to ExplicitEuler, AdamsBashforth (second order)
#NumericalMethodForElphy=AdamsBashforth;
ElphyIntegrator=ExplicitEuler;

######################
#      Plotting      #
######################
PlotStress = 0
PlotVertexPotential = 1
#PlotCellPotential = 1

PrintVSteps =1
# vtk Dateien werden erstellt
ElphyVTK=1
PlotVTK  = 1
PlottingSteps = 10

TimeSeries = uniformabaqus;


EulerReAssemble = 0;


# =================================================================
# === Gating Solver ===============================================
GatingSolver = gmres
GatingPreconditioner = GaussSeidel
GatingEpsilon = 1e-8
GatingReduction = 1e-12

# === Elphy Solver ================================================
ElphySolver = gmres
ElphyPreconditioner=Jacobi
ElphyEpsilon = 1e-12
ElphyReduction = 1e-12


# === Newton Method === #
NewtonEpsilon = 1e-6
NewtonReduction = 1e-12
NewtonSteps = 300
NewtonLineSearchSteps = 10
NewtonLinearizationReduction = 1e-12

#Smoother = GaussSeidel
#Smoother = PointBlockGaussSeidel
#SmootherDamp = 0.9
presmoothing = 3
postsmoothing = 3

ConfigVerbose = 1
AssembleVerbose = 1

# = Solver Verbose =
MultigridVerbose = 0
BaseSolverVerbose = -1
LinearVerbose = -5
NewtonVerbose = 0
EulerVerbose = 0
LinearImplicitVerbose = 5
ElphyLinearSolverVerbose =-1
MonodomainVerbose =1
NonLinearVerbose = -5
ElphySolverVerbose = 1
CoupledSolverVerbose = 4
CellModelVerbose = 0

# = Main Verbose =
ElphyVerbose = 1




